module global_variables
implicit none

!***********************************
! coarse grained models
!****************** CO2*************
! Yu and Gao's model, taken from JPCB 115 (2011) 11154
!  real*8, parameter :: sigma=3.66, epsil=235.56*8.314/1000
! Liu's model, taken from JPCB 115 (2011) 11154
  real*8, parameter :: sigma=3.832d0, epsil=230.56d0*8.314d0/1000d0

!***********************************

  integer  :: ngrida, ngridb, ngridc
  real*8 :: temp = 298

  integer, parameter :: n_sample=0 !50
  real*8 :: rb_table=1.0d0, re_table=25.0d0
 
  integer :: n_table=240 
  real*8, dimension(3,3) :: box, inv_box
  real*8, dimension(:), allocatable :: potent_table

end module global_variables
