#!/usr/bin/perl 


#*******************************************
# this script duplicates a unit cell for a non orthogonal box
#*******************************************
my@dupcell;
$dupcell[0]=2;$dupcell[1]=2;$dupcell[2]=2;
$delta=.1 ;

$ifile=$ARGV[0];

open ifile, $ifile, or die;

my@zifxyz;my@ziflabel;my@cell;
$_=<ifile>; chomp; $atoms=$_;
for(my$i=0;$i<$atoms;$i++)
{ $_=<ifile> ; @array = split; push(@ziflabel,$array[0]); push (@zifxyz,[$array[1],$array[2],$array[3]]) }
# get unit cell
for(my$i=0;$i<3;$i++)
{
$_=<ifile>; chomp; @array=split;push(@cell,[@array])
}
close(ifile) ;



# loop over atoms, if atom is close to box edge, translate it and store copy
my@zifxyz_final; my@ziflabel_final;
for (my$i=0;$i<$atoms;$i++)
{

# now duplicate cells

for (my$j=0;$j<$dupcell[0];$j++)
{
    for (my$k=0;$k<$dupcell[1];$k++)
{
    for (my $l=0 ; $l<$dupcell[2] ; $l++)
{
    my@array ; 
    $array[0] = $zifxyz[$i][0] + $j * $cell[0][0] + $k * $cell[1][0] + $l * $cell[2][0] ;
    $array[1] = $zifxyz[$i][1] + $j * $cell[0][1] + $k * $cell[1][1] + $l * $cell[2][1] ;
    $array[2] = $zifxyz[$i][2] + $j * $cell[0][2] + $k * $cell[1][2] + $l * $cell[2][2] ;

push(@zifxyz_final , [@array] ) ; push(@ziflabel_final , $ziflabel[$i] )
}
}
}
}

# now print

$atoms=@zifxyz_final ;

print"$atoms\n";
for(my$i=0;$i<@zifxyz_final;$i++)
{ printf ("%4s%10.5f%10.5f%10.5f\n",$ziflabel_final[$i] , $zifxyz_final[$i][0] , $zifxyz_final[$i][1] , $zifxyz_final[$i][2]) }
for(my$i=0;$i<3;$i++)
{
printf ("%12.6f%12.6f%12.6f\n" , $cell[$i][0] , $cell[$i][1] , $cell[$i][2] )
}
   
   
