#!/bin/bash


NAME="zif69_298K_.6bar"
TARGET=run.sh
suf1=".out"
suf2=".out1"
outfile="$NAME$suf1"
outfile1="$NAME$suf2"

cat >> $TARGET << EOF
#!/bin/bash
#PBS -N $NAME -l nodes=1:ppn=4
export OMP_STACKSIZE=20M
./main_mc N2.conf zif69_relabel_2x2x2.fconf N2_zif69.pmt simulation_parameters.pmt $outfile $outfile1
EOF

qsub -d `pwd` $TARGET
rm $TARGET
