#!/bin/bash


NAME="mof5_298K_30bar"
TARGET=run.sh
suf1=".out"
suf2=".out1"
outfile="$NAME$suf1"
outfile1="$NAME$suf2"

cat >> $TARGET << EOF
#!/bin/bash
#PBS -N $NAME -l nodes=1:ppn=8
export OMP_STACKSIZE=20M
./main_mc co2.conf mof5_labeled_sym.fconf co2_mof5_uff_epm2.pmt simulation_parameters.pmt $outfile $outfile1
EOF

qsub -d `pwd` $TARGET
rm $TARGET
