#!/usr/bin/python
import sys

# parameters from Langmuir 11 3988
sigma = 3.75
epsil = 95.2*8.314/1000  # kJ/mol

rb = 1.5
re = 12.0
dr = 0.05
nr = int((re-rb)/dr) + 1

print '#\t%d'%nr

r = rb
while r <= (re+0.0001):
    E = 4.0 * epsil * ( (sigma/r)**12 - (sigma/r)**6 )
    print '%10.3f%17.8f'%(r,E)
    r += dr
