#!/bin/bash

NAME="zif8_303K_1bar_uff_epm2"
TARGET="run.sh"
suf1=".out"
suf2=".out1"
outfile="$NAME$suf1"
outfile1="$NAME$suf2"

cat >> $TARGET << EOF
#!/bin/bash
#PBS -N $NAME -l nodes=1:ppn=8
export OMP_STACKSIZE=20M
./main_mc co2.conf zif8_2x2x2.fconf co2_zif8_uff_epm2.pmt simulation_parameters.pmt $outfile $outfile1
EOF

qsub -d `pwd` $TARGET
rm $TARGET
