#!/bin/bash

# this script submits fast test jobs, i.e. , jobs that don't involve mc or md moves

# all individual jobs are controlled by this script
runscript="run_testjob.sh"
# this is the binary to be tested
executable="main_mc"


job_dir=(test_drudes test_forces test_energy)

for dir in ${job_dir[@]} ; do

sub_dir=(`ls $dir`) ;

for sub in ${sub_dir[@]} ; do
  testdir=$dir/$sub
  echo " running test job in directory  $testdir "
  cp $executable $testdir
  cd $testdir
  bash $runscript
  cd ../../
done

done