#!/usr/bin/perl

# this script evaluates the test calculation "H2_MTV_MOF_AH_FeynmanHibbs"
$job="h2_MTV_AH_77K_800torr";
$file_benchmark="RESULTS_BENCHMARK";
$file_test="${job}.out1";

# get energies from benchmark

open ifile, $file_benchmark, or die ;
while(<ifile>)
{ if (/i_step/){last} }
$_=<ifile>;@energy1=split;
close(ifile);

# get energies from test calculation
open ifile, $file_test, or die;
while(<ifile>)
{ if (/i_step/){last} }
$_=<ifile>;@energy2=split;
close(ifile);

# difference in energies
$deltaelec= $energy1[1]-$energy2[1];
$deltaBH= $energy1[2]-$energy2[2];
$deltapot= $energy1[3]-$energy2[3];


print "energy differences for test job and benchmark\n";
print "$deltaelec  $deltaBH  $deltapot \n";
