#!/bin/bash

i=1

nam="nve_methane"
NAME="$nam"
TARGET=run.sh
suf1=".out"
suf2=".out1"
outfile="$NAME$suf1"
outfile1="$NAME$suf2"

cat >> $TARGET << EOF
#!/bin/bash
#PBS -N $NAME -l nodes=1:ppn=8
export OMP_STACKSIZE=20M
./main_mc methane.conf methane_sapt.pmt simulation_parameters.pmt $outfile $outfile1
EOF

qsub -d `pwd` $TARGET
rm $TARGET
